Skip to main content
`Ctrl`+`K`

# DMPlexComputeCellTypes

Infer the polytope type of every cell using its dimension and cone size.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeCellTypes(DM dm)

Collective

## Input Parameter

- dm - The `DMPLEX`

## Note

This function is normally called automatically when a cell type is requested. It creates an internal `DMLabel` named “celltype” which can be directly accessed using `DMGetLabel()`. A user may disable automatic creation by creating the label manually, using `DMCreateLabel`(dm, “celltype”).

`DMPlexComputeCellTypes()` should be called after all calls to `DMPlexSymmetrize()` and `DMPlexStratify()`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreate()`, `DMPlexSymmetrize()`, `DMPlexStratify()`, `DMGetLabel()`, `DMCreateLabel()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages